searchNodes=[{"doc":"Trifolium is a full-featured API client for the Trefle API. You can make requests for specific endpoints using the specific modules we have, for example:Trifolium.PlantsTrifolium.SpeciesTrifolium.FamiliesAlso, you can use the helper Trifolium.Navigation library to handle navigation between links in the response.","ref":"Trifolium.html","title":"Trifolium","type":"module"},{"doc":"Thin helper functions to enhance requests to Trefle API.","ref":"Trifolium.API.html","title":"Trifolium.API","type":"module"},{"doc":"Builds a query params map, which contains the token used to communicate with Trefle API, along with the keywords which should be passed to Trefle API. Accepts a nested map, which in this case will build the parameters according to the nested rules allowed on Trefle API. Also accepts a list as a possible parameter, stringifying it.","ref":"Trifolium.API.html#build_query_params/1","title":"Trifolium.API.build_query_params/1","type":"function"},{"doc":"Parse a response returned by Trefle API in a JSON, in a correct fashion, according to the status_code returned If the status_code field from the request is 200 or 201, returns {:ok, %{}}. If the status_code field from the request is 404, returns {:error, 404, %{message: message} where message is the returned value from Trefle. If any status other than 200 or 404 is returned on status_code we return {:error, status, message} where :status is the status_code returned, and you hould handle the error yourself. The message part of the tuple is the body returned by the request.","ref":"Trifolium.API.html#parse_response/1","title":"Trifolium.API.parse_response/1","type":"function"},{"doc":"","ref":"Trifolium.API.html#t:response/0","title":"Trifolium.API.response/0","type":"type"},{"doc":"Module to be used to interact with Trefle Auth related endpoints.","ref":"Trifolium.Auth.html","title":"Trifolium.Auth","type":"module"},{"doc":"Generates a JWT token for a given origin, which can be used in your client side code, without exposing your private token. You can also specify a ip along a origin so that it works only from some giving client IP Address.","ref":"Trifolium.Auth.html#token/2","title":"Trifolium.Auth.token/2","type":"function"},{"doc":"Stores configuration variables used to communicate with Trefle's API. All settings also accept {:system, &quot;ENV_VAR_NAME&quot;} to read their values from environment variables at runtime.","ref":"Trifolium.Config.html","title":"Trifolium.Config","type":"module"},{"doc":"Returns the domain of the Trefle API. This will default to &quot;trefle.io/&quot;, but can be overridden (in case you have a custom Trefle installation) using the following setting in mix.exs:config :trifolium, api_domain: &quot;trefle.yourdomain.com/&quot;","ref":"Trifolium.Config.html#api_domain/0","title":"Trifolium.Config.api_domain/0","type":"function"},{"doc":"Return the combined base URL of the Trefle API, using the configuration settings given.","ref":"Trifolium.Config.html#base_url/0","title":"Trifolium.Config.base_url/0","type":"function"},{"doc":"A light wrapper around Application.get_env/2, providing automatic support for {:system, &quot;VAR&quot;} tuples.","ref":"Trifolium.Config.html#from_env/3","title":"Trifolium.Config.from_env/3","type":"function"},{"doc":"Return the HTTP Client we should use to do this requests. You shouldn't need to change this in your app.","ref":"Trifolium.Config.html#http_client/0","title":"Trifolium.Config.http_client/0","type":"function"},{"doc":"Returns the protocol used for the Trefle API. The default is &quot;https&quot; for interacting with the Trefle API, but when testing with Bypass, you may want this to be &quot;http&quot;. You can override this in mix.exs with:config :trifolium, protocol: &quot;http&quot;","ref":"Trifolium.Config.html#protocol/0","title":"Trifolium.Config.protocol/0","type":"function"},{"doc":"Returns Trefle's API token. Set it in mix.exs:config :trifolium, trefle_token: &quot;YOUR_TREFLE_TOKEN&quot;","ref":"Trifolium.Config.html#token/0","title":"Trifolium.Config.token/0","type":"function"},{"doc":"Module to be used to interact with Trefle Corrections related endpoints.","ref":"Trifolium.Corrections.html","title":"Trifolium.Corrections","type":"module"},{"doc":"List every possible Corrections. This endpoint is NOT paginated, accordingly to Trefle API docs.","ref":"Trifolium.Corrections.html#all/0","title":"Trifolium.Corrections.all/0","type":"function"},{"doc":"Find a specific Correction, identified by the id parameter.","ref":"Trifolium.Corrections.html#find/1","title":"Trifolium.Corrections.find/1","type":"function"},{"doc":"","ref":"Trifolium.Corrections.html#report/2","title":"Trifolium.Corrections.report/2","type":"function"},{"doc":"Module to be used to interact with Trefle Distributions related endpoints.","ref":"Trifolium.Distributions.html","title":"Trifolium.Distributions","type":"module"},{"doc":"List every possible Corrections. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned.","ref":"Trifolium.Distributions.html#all/1","title":"Trifolium.Distributions.all/1","type":"function"},{"doc":"Find a specific Distribution according to its id or slug.","ref":"Trifolium.Distributions.html#find/1","title":"Trifolium.Distributions.find/1","type":"function"},{"doc":"Lists all available Plants for a specific Distribution according to its id or slug. You can paginate this endpoint, and also filter it, as explained on Trefle documentation. You can use a filter or a not_filter like so: iex()&gt; Trifolium.Distributions.plants(id, filter: %{year: year}) The same applies to the order and range parameters, where you just need to pass a map to it, that it will be correctly parsed to the query parameter.","ref":"Trifolium.Distributions.html#plants/2","title":"Trifolium.Distributions.plants/2","type":"function"},{"doc":"Lists all available Species for a specific Distribution according to its id or slug. You can paginate this endpoint, and also filter it, as explained on Trefle documentation. You can use a filter or a not_filter like so: iex()&gt; Trifolium.Distributions.species(id, filter: %{year: year}) The same applies to the order and range parameters, where you just need to pass a map to it, that it will be correctly parsed to the query parameter.","ref":"Trifolium.Distributions.html#species/2","title":"Trifolium.Distributions.species/2","type":"function"},{"doc":"Module to be used to interact with Trefle DivisionClasses related endpoints.","ref":"Trifolium.DivisionClasses.html","title":"Trifolium.DivisionClasses","type":"module"},{"doc":"List every possible DivisionClasses. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned.","ref":"Trifolium.DivisionClasses.html#all/1","title":"Trifolium.DivisionClasses.all/1","type":"function"},{"doc":"Find a specific DivisionClass according to its id.","ref":"Trifolium.DivisionClasses.html#find/1","title":"Trifolium.DivisionClasses.find/1","type":"function"},{"doc":"Module to be used to interact with Trefle DivisionOrders related endpoints.","ref":"Trifolium.DivisionOrders.html","title":"Trifolium.DivisionOrders","type":"module"},{"doc":"List every possible DivisionOrders. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned.","ref":"Trifolium.DivisionOrders.html#all/1","title":"Trifolium.DivisionOrders.all/1","type":"function"},{"doc":"Find a specific DivisionOrder according to its id.","ref":"Trifolium.DivisionOrders.html#find/1","title":"Trifolium.DivisionOrders.find/1","type":"function"},{"doc":"Module to be used to interact with Trefle Divisions related endpoints.","ref":"Trifolium.Divisions.html","title":"Trifolium.Divisions","type":"module"},{"doc":"List every possible Divisions. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned.","ref":"Trifolium.Divisions.html#all/1","title":"Trifolium.Divisions.all/1","type":"function"},{"doc":"Find a specific Division according to its id or slug.","ref":"Trifolium.Divisions.html#find/1","title":"Trifolium.Divisions.find/1","type":"function"},{"doc":"Module to be used to interact with Trefle Families related endpoints.","ref":"Trifolium.Families.html","title":"Trifolium.Families","type":"module"},{"doc":"List every possible Familyes. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned.","ref":"Trifolium.Families.html#all/1","title":"Trifolium.Families.all/1","type":"function"},{"doc":"Find a specific Family according to its id or slug.","ref":"Trifolium.Families.html#find/1","title":"Trifolium.Families.find/1","type":"function"},{"doc":"Module to be used to interact with Trefle Genus related endpoints.","ref":"Trifolium.Genus.html","title":"Trifolium.Genus","type":"module"},{"doc":"List every possible Genus. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned.","ref":"Trifolium.Genus.html#all/1","title":"Trifolium.Genus.all/1","type":"function"},{"doc":"Find a specific Genus according to its id or slug.","ref":"Trifolium.Genus.html#find/1","title":"Trifolium.Genus.find/1","type":"function"},{"doc":"Lists all available Plants for a specific Genus according to its id or slug. You can paginate this endpoint, and also filter it, as explained on Trefle documentation. You can use a filter or a not_filter like so: iex()&gt; Trifolium.Genus.plants(id, filter: %{year: year}) The same applies to the order and range parameters, where you just need to pass a map to it, that it will be correctly parsed to the query parameter.","ref":"Trifolium.Genus.html#plants/2","title":"Trifolium.Genus.plants/2","type":"function"},{"doc":"Lists all available Species for a specific Genus according to its id or slug. You can paginate this endpoint, and also filter it, as explained on Trefle documentation. You can use a filter or a not_filter like so: iex()&gt; Trifolium.Genus.species(id, filter: %{year: year}) The same applies to the order and range parameters, where you just need to pass a map to it, that it will be correctly parsed to the query parameter.","ref":"Trifolium.Genus.html#species/2","title":"Trifolium.Genus.species/2","type":"function"},{"doc":"Module to be used to interact with Trefle Kingdoms related endpoints.","ref":"Trifolium.Kingdoms.html","title":"Trifolium.Kingdoms","type":"module"},{"doc":"List every possible Kingdoms. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned.","ref":"Trifolium.Kingdoms.html#all/1","title":"Trifolium.Kingdoms.all/1","type":"function"},{"doc":"Find a specific Kingdom according to its id or slug.","ref":"Trifolium.Kingdoms.html#find/1","title":"Trifolium.Kingdoms.find/1","type":"function"},{"doc":"","ref":"Trifolium.Navigation.html","title":"Trifolium.Navigation","type":"module"},{"doc":"Given a API returned value, access the first result page, according to the links entry in the API return value.","ref":"Trifolium.Navigation.html#first/1","title":"Trifolium.Navigation.first/1","type":"function"},{"doc":"Given a API returned value, access the last result page, according to the links entry in the API return value.","ref":"Trifolium.Navigation.html#last/1","title":"Trifolium.Navigation.last/1","type":"function"},{"doc":"Given a API returned value, access the next result page, according to the links entry in the API return value.","ref":"Trifolium.Navigation.html#next/1","title":"Trifolium.Navigation.next/1","type":"function"},{"doc":"Module to be used to interact with Trefle Plants related endpoints.","ref":"Trifolium.Plants.html","title":"Trifolium.Plants","type":"module"},{"doc":"List every possible Plants. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned. You can use a filter or a not_filter like so: iex()&gt; Trifolium.Plants.all(filter: %{year: year}) The same applies to the order and range parameters, where you just need to pass a map to it, that it will be correctly parsed to the query parameter.","ref":"Trifolium.Plants.html#all/1","title":"Trifolium.Plants.all/1","type":"function"},{"doc":"Find a specific Plant according to its id or slug.","ref":"Trifolium.Plants.html#find/1","title":"Trifolium.Plants.find/1","type":"function"},{"doc":"Report a problem with a specific Plant. The second parameter is optional, as per Trefle docs, but be aware that it doesn't make much sense to report a problem without informing it. The notes parameter is a String.t() explaining the problem. iex()&gt; Trifolium.Plants.report(id, &quot;Should have synonim Trifolium&quot;) If you want to test this endpoint, without bothering Trefle community, you can use the special notes parameter &quot;TEST&quot;: iex()&gt; Trifolium.Plants.report(id, &quot;TEST&quot;)","ref":"Trifolium.Plants.html#report/2","title":"Trifolium.Plants.report/2","type":"function"},{"doc":"Similar to Trifolium.Plants.all, but you can pass an additional query parameter which will full-text search for it in the available fields. More information can be found on Trefle documentation. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned. You can use a filter or a not_filter like so: iex()&gt; Trifolium.Plants.search(query, filter: %{year: year}) The same applies to the order and range parameters, where you just need to pass a map to it, that it will be correctly parsed to the query parameter.","ref":"Trifolium.Plants.html#search/2","title":"Trifolium.Plants.search/2","type":"function"},{"doc":"Module to be used to interact with Trefle Species related endpoints.","ref":"Trifolium.Species.html","title":"Trifolium.Species","type":"module"},{"doc":"List every possible Species. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned. You can use a filter or a not_filter like so: iex()&gt; Trifolium.Species.all(filter: %{year: year}) The same applies to the order and range parameters, where you just need to pass a map to it, that it will be correctly parsed to the query parameter.","ref":"Trifolium.Species.html#all/1","title":"Trifolium.Species.all/1","type":"function"},{"doc":"Find a specific Specie according to its id or slug.","ref":"Trifolium.Species.html#find/1","title":"Trifolium.Species.find/1","type":"function"},{"doc":"Report a problem with a specific Specie. The second parameter is optional, as per Trefle docs, but be aware that it doesn't make much sense to report a problem without informing it. The notes parameter is a String.t() explaining the problem. iex()&gt; Trifolium.Species.report(id, &quot;Should have synonim Trifolium&quot;) If you want to test this endpoint, without bothering Trefle community, you can use the special notes parameter &quot;TEST&quot;: iex()&gt; Trifolium.Species.report(id, &quot;TEST&quot;)","ref":"Trifolium.Species.html#report/2","title":"Trifolium.Species.report/2","type":"function"},{"doc":"Similar to Trifolium.Species.all, but you can pass an additional query parameter which will full-text search for it in the available fields. More information can be found on Trefle documentation. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned. You can use a filter or a not_filter like so: iex()&gt; Trifolium.Species.search(query, filter: %{year: year}) The same applies to the order and range parameters, where you just need to pass a map to it, that it will be correctly parsed to the query parameter.","ref":"Trifolium.Species.html#search/2","title":"Trifolium.Species.search/2","type":"function"},{"doc":"Module to be used to interact with Trefle Subkingdoms related endpoints.","ref":"Trifolium.Subkingdoms.html","title":"Trifolium.Subkingdoms","type":"module"},{"doc":"List every possible Subkingoms. This endpoint IS paginated, using a optional keyword parameter. By default, the page 1 is returned.","ref":"Trifolium.Subkingdoms.html#all/1","title":"Trifolium.Subkingdoms.all/1","type":"function"},{"doc":"Find a specific Subkingdom according to its id or slug.","ref":"Trifolium.Subkingdoms.html#find/1","title":"Trifolium.Subkingdoms.find/1","type":"function"}]